### A free/open-source library for quantitative finance

Classes
ql/pricingengines/americanpayoffatexpiry.hpp File Reference

Analytical formulae for american exercise with payoff at expiry. More...

`#include <ql/instruments/payoffs.hpp>`
Include dependency graph for americanpayoffatexpiry.hpp:

## Classes

class | AmericanPayoffAtExpiry
| Analytic formula for American exercise payoff at-expiry options. More...

## Detailed Description

Analytical formulae for american exercise with payoff at expiry.